From 0148980d71a1ae18295480d7b0ce44e4879d1b0a Mon Sep 17 00:00:00 2001
From: Oleg Grenrus <oleg.grenrus@iki.fi>
Date: Wed, 25 Sep 2019 12:28:20 +0300
Subject: [PATCH] haddock broken with GHC-7.6

---
 travis-script.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/travis-script.sh b/travis-script.sh
index 80724b6c23..513b7f3c15 100755
--- a/travis-script.sh
+++ b/travis-script.sh
@@ -111,7 +111,12 @@ if [ "x$CABAL_INSTALL_ONLY" != "xYES" ] ; then
     # Run haddock.
     if [ "$TRAVIS_OS_NAME" = "linux" ]; then
         # TODO: use new-haddock?
-        (cd Cabal && timed cabal act-as-setup --build-type=Simple -- haddock --builddir=${CABAL_BDIR}) || exit $?
+
+        # haddock: internal error: synifyKind
+        # https://github.com/haskell/haddock/issues/242
+        if [ "$GHCVER" != "7.6.3" ]; then
+            (cd Cabal && timed cabal act-as-setup --build-type=Simple -- haddock --builddir=${CABAL_BDIR}) || exit $?
+        fi
     fi
 
     # Check for package warnings
-- 
GitLab